Bug 567620 - YAML::Dumper fails with Can't locate object method "global_object"
Summary: YAML::Dumper fails with Can't locate object method "global_object"
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-YAML   
(Show other bugs)
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: ActualBug
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-23 13:12 UTC by Till Maas
Modified: 2014-09-24 03:41 UTC (History)
2 users (show)

Fixed In Version: perl-YAML-0.66-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-24 03:41:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Till Maas 2010-02-23 13:12:07 UTC
Description of problem:
YAML::Dumper minimum example does not work.

Version-Release number of selected component (if applicable):
perl-YAML.noarch 0:0.66-2.el5

How reproducible:
always

Steps to Reproduce:
Try to run this script:
    use YAML::Dumper;
    my $dumper = YAML::Dumper->new;
    $dumper->indent_width(4);
    print $dumper->dump({foo => 'bar'});
from 
http://search.cpan.org/dist/YAML/lib/YAML/Dumper.pm

  
Actual results:
Can't locate object method "global_object" via package "YAML" at /usr/lib/perl5/vendor_perl/5.8.8/YAML/Dumper.pm line 145.

Expected results:
Should print a yaml stream.

Additional info:

Comment 1 Mark Chappell 2010-10-16 06:37:01 UTC
Bug confirmed.

Work around:
  use YAML; 
before the first line.

Comment 2 Mark Chappell 2010-10-16 10:57:05 UTC
Reported 4 years ago upstream...

https://rt.cpan.org/Public/Bug/Display.html?id=19838

Comment 3 Fedora Update System 2014-08-26 15:16:30 UTC
perl-YAML-0.66-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-YAML-0.66-3.el5

Comment 4 Fedora Update System 2014-08-29 19:43:49 UTC
Package perl-YAML-0.66-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing perl-YAML-0.66-3.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2311/perl-YAML-0.66-3.el5
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-09-24 03:41:51 UTC
perl-YAML-0.66-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.